Subject: Re: bug#16659: ns-use-native-fullscreen breaks fullscreen functionality on maverick secondary monitor when old spaces behaviour is selected, plus slow transition

From: Luigi Rocca <[email-masked]>
Date: Sun, 09 Feb 2014 00:48:51 +0100

On 2/6/14, 9:00 AM, Jan D. wrote:> Hello.
> 
> I have checked in a fix for 1) as it is a bug.

I've just downloaded a nightly build and it works also for me now. Thanks a lot.

Just one minor annoyance: on my secondary display the fullscreen animation is wrong - instead of being a scaling transition from the current window position to the whole display (as it happens on my primary display) it always seems to start from outside the display, left side, no matter where the emacs windows actually is. Oddly, the transition from fullscreen (which should the same played backwards) back to the original window is right on both displays.

I personally don't care - I find that animation to be ugly and slow even when it's right, and the fact that emacs goes fullscreen on both displays is enough for me. I mention it because it's still a bug, although minor and I can imagine that someone would want to fix it. If it's needed, I can provide a link to a small screencast showing the problem, let me know in case.

I would love to see it fixed it by getting rid of the animation altogether (which could even be simpler than track down why it's skewed, maybe?), but that's only a personal preference of mine... ;-)

> 2) will have to wait as we are in a feature freeze.
> 

Fair enough.

Bye,
Luigi